PORT-ACTIVATE(1)

NAME
port-activate, port-deactivate - Change active version of an installed port

SYNOPSIS

port [-vdf] [-D portdir] activate
     [--no-exec]
     [[portname | pseudo-portname | port-expressions | port-url]]
     [@version]

port [-vdf] [-D portdir] deactivate
     [--no-exec]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port activate will set the status of an previously installed version of a port to active. The passed ports have to reference already installed versions.

port deactivate will set the status of a port to inactive. The passed ports have to be active at the moment. You will be warned if this port has active dependents.

If any version is active at the time of using port activate, it will be deactivated first. This can be used to switch from one version to another.

PORT IMAGES

MacPorts has the ability to install multiple versions or different variant selections of the same port. The files will be stored in an intermediate location as archives, which allows to switch between the versions. Only one version can be active at a time. On activation, files will be copied to their intended place in prefix.

More information on this topic can be found in the The MacPorts Guide[1].

To check the current status of a specific port, use port-installed(1).

OPTIONS

--no-exec
    Do not execute any stored pre- or post-uninstall procedures.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

SEE ALSO

port(1), port-install(1), port-installed(1), port-deactivate(1)

AUTHORS

    (C) 2009 The MacPorts Project
    Rainer Mueller <raimue@macports.org>

EXTERNAL REFERENCES

1.  The MacPorts Guide
    https://guide.macports.org/#internals.images